2023-04-05 21:38:38 UTC
52.3 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:333f5f619d7efe58316b2d71276f19d0a59bcb471f4dadaa85762b2c9e02775c - 5.16% (2.7 MB)
[#001] sha256:1ae18c92befa8a646902059c6dcd4b6130af39572a9ed4e4e3e90a9f565db122 - 0.0% (1.24 KB)
[#002] sha256:0605026de461acc24885a3cee5e1a9f56da2c71a0a0dce712bf660099a1c1b92 - 94.83% (49.6 MB)
[#003] sha256:044e7bd27d40529e870e2801596c82d4a40ada1f4b3406d5861d5178d3cd285a - 0.0% (175 Bytes)
[#004] sha256:d860cf7f2822a2da2cf8dde8c1cb291dd332a8523707d655658da17863940ca9 - 0.0% (154 Bytes)
[#005] sha256:e6e64295ccf101b2698d9e3961340e989d1a202060da7c1ec9d05ad6c51f1fdf - 0.0% (1.79 KB)
/bin/sh -c #(nop) ADD file:fca96dde137b6b045359aec9d24257996738ac6cb7cce9518460a66802a27bd7 in /
2023-03-29 17:38:36 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2023-04-05 21:38:27 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.14.6
2023-04-05 21:38:27 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.14.6 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
2023-04-05 21:38:27 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2023-04-05 21:38:28 UTC|1 CONSUL_VERSION=1.14.6 /bin/sh -c addgroup consul && adduser -S -G consul consul
2023-04-05 21:38:36 UTC|1 CONSUL_VERSION=1.14.6 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2023-04-05 21:38:36 UTC|1 CONSUL_VERSION=1.14.6 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2023-04-05 21:38:37 UTC|1 CONSUL_VERSION=1.14.6 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2023-04-05 21:38:37 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2023-04-05 21:38:37 UTC/bin/sh -c #(nop) EXPOSE 8300
2023-04-05 21:38:37 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2023-04-05 21:38:37 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2023-04-05 21:38:38 UTC/bin/sh -c #(nop) COPY file:f5ba00fb9fd3a67a835a792e07b11da3b163222c18f8512aa772b36520d2a653 in /usr/local/bin/docker-entrypoint.sh
2023-04-05 21:38:38 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2023-04-05 21:38:38 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]
2023-04-06 00:42:35 UTC
53.6 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:0ce1dd7918a48990ab749aab2e805c26f691a3a8103495530e7ea5a1d168af4a - 5.03% (2.7 MB)
[#001] sha256:766a40ab52bd0288ceb79c119ac9d2cfaa18d4e1023e61c6ca05380b21f30204 - 0.0% (1.24 KB)
[#002] sha256:8f1945ba49379162c18e23619c6af14482d6fb0b9a9de78116c54fbb53d7c8d1 - 94.96% (50.9 MB)
[#003] sha256:1e4d776f2bce4653c14139846bb76c437ffcdab35a6200893bb818cbaa503db5 - 0.0% (174 Bytes)
[#004] sha256:3c3172e8000cc2e1152688f41dae704eab4ff2adaf368e61d2b81c6dc1eed4bc - 0.0% (153 Bytes)
[#005] sha256:c6354f11bfa45e8718a6e5ef1faae0576f84995ac93aec8683d1db6df311a1e1 - 0.0% (1.79 KB)
/bin/sh -c #(nop) ADD file:08ad6c1c886a26e30ae4ab103ff377ee6cfbc1be2437fa227ec28a335c63d78a in /
2023-03-29 18:19:33 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2023-04-06 00:42:26 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.14.6
2023-04-06 00:42:27 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.14.6 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
2023-04-06 00:42:27 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2023-04-06 00:42:27 UTC|1 CONSUL_VERSION=1.14.6 /bin/sh -c addgroup consul && adduser -S -G consul consul
2023-04-06 00:42:33 UTC|1 CONSUL_VERSION=1.14.6 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2023-04-06 00:42:33 UTC|1 CONSUL_VERSION=1.14.6 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2023-04-06 00:42:34 UTC|1 CONSUL_VERSION=1.14.6 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2023-04-06 00:42:34 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2023-04-06 00:42:34 UTC/bin/sh -c #(nop) EXPOSE 8300
2023-04-06 00:42:34 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2023-04-06 00:42:34 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2023-04-06 00:42:34 UTC/bin/sh -c #(nop) COPY file:f5ba00fb9fd3a67a835a792e07b11da3b163222c18f8512aa772b36520d2a653 in /usr/local/bin/docker-entrypoint.sh
2023-04-06 00:42:34 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2023-04-06 00:42:35 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]
2023-04-06 02:50:44 UTC
51 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:872c99a87729fa48dce303fb615edbb1a5da837f627a0b3d28495a0400ca8335 - 4.93% (2.51 MB)
[#001] sha256:699572ea1654914a0f68139647c01e4a7e433f2d650a6e31ebc43586fa58f05b - 0.0% (1.24 KB)
[#002] sha256:3ccd4efb7d1f6e0189b04b6072364bfb07ba9727d7d28c97397025fa0aaa322f - 95.07% (48.5 MB)
[#003] sha256:78e1c434a96e9d0bcb6ba6647fca825db2c5f661cdd77066734293276237eadc - 0.0% (175 Bytes)
[#004] sha256:7327d221ad08fb07da0bb1b6949d0068b38e7bd8e12fb93725be9a7a37ac3e60 - 0.0% (155 Bytes)
[#005] sha256:e6064786d9900fcf987ec66e3029f6fdb297a8dc8fd0a56445bf396b04118cd9 - 0.0% (1.79 KB)
/bin/sh -c #(nop) ADD file:3fb55ad8134002858be264c3c2477d784e4a60f2f6501afa7cf3b10bfede51aa in /
2023-03-29 18:01:13 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2023-04-06 02:50:34 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.14.6
2023-04-06 02:50:34 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.14.6 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
2023-04-06 02:50:34 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2023-04-06 02:50:35 UTC|1 CONSUL_VERSION=1.14.6 /bin/sh -c addgroup consul && adduser -S -G consul consul
2023-04-06 02:50:42 UTC|1 CONSUL_VERSION=1.14.6 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2023-04-06 02:50:43 UTC|1 CONSUL_VERSION=1.14.6 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2023-04-06 02:50:43 UTC|1 CONSUL_VERSION=1.14.6 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2023-04-06 02:50:43 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2023-04-06 02:50:44 UTC/bin/sh -c #(nop) EXPOSE 8300
2023-04-06 02:50:44 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2023-04-06 02:50:44 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2023-04-06 02:50:44 UTC/bin/sh -c #(nop) COPY file:f5ba00fb9fd3a67a835a792e07b11da3b163222c18f8512aa772b36520d2a653 in /usr/local/bin/docker-entrypoint.sh
2023-04-06 02:50:44 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2023-04-06 02:50:44 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]
2023-04-05 21:39:36 UTC
50.6 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:60a00c11adf5202a365ec8215b889c3390d67fa295ab79940e1c5dc4cbed9db1 - 5.13% (2.6 MB)
[#001] sha256:d6ef87d286cd75f76b175e0df1000ad1780d00a38b47a75bc1063bc4ea0ae506 - 0.0% (1.24 KB)
[#002] sha256:527fbc5532484069328ff2b26ac9b10ec5d7b311213922eae4c1445a7f41c523 - 94.86% (48 MB)
[#003] sha256:161215c14995100d777d55dd50f4ccdc47b50673149e1895b610789cc7232c26 - 0.0% (176 Bytes)
[#004] sha256:342fb6d7ea203e62320cf723a25279fcbbbe90f3a74c063e4d64eb4b92351629 - 0.0% (154 Bytes)
[#005] sha256:3a5eb6aa68deb8626207bd4a4d9d0c763166be2a3e1a20c6cfcbd6a627f1f76e - 0.0% (1.79 KB)
/bin/sh -c #(nop) ADD file:4acfda16c71abce07068ed23839e9de60c1d1145ab8002b3a92c15b1e80d4356 in /
2023-03-29 17:39:23 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2023-04-05 21:39:28 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.14.6
2023-04-05 21:39:28 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.14.6 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
2023-04-05 21:39:28 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2023-04-05 21:39:28 UTC|1 CONSUL_VERSION=1.14.6 /bin/sh -c addgroup consul && adduser -S -G consul consul
2023-04-05 21:39:34 UTC|1 CONSUL_VERSION=1.14.6 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2023-04-05 21:39:35 UTC|1 CONSUL_VERSION=1.14.6 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2023-04-05 21:39:35 UTC|1 CONSUL_VERSION=1.14.6 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2023-04-05 21:39:35 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2023-04-05 21:39:35 UTC/bin/sh -c #(nop) EXPOSE 8300
2023-04-05 21:39:35 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2023-04-05 21:39:35 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2023-04-05 21:39:35 UTC/bin/sh -c #(nop) COPY file:f5ba00fb9fd3a67a835a792e07b11da3b163222c18f8512aa772b36520d2a653 in /usr/local/bin/docker-entrypoint.sh
2023-04-05 21:39:35 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2023-04-05 21:39:36 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]